Bug 1283934 (CVE-2016-1922)

Summary: CVE-2016-1922 Qemu: i386: null pointer dereference in vapic_write()
Product: [Other] Security Response Reporter: Adam Mariš <amaris>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED WONTFIX QA Contact:
Severity: low Docs Contact:
Priority: low    
Version: unspecifiedCC: abaron, apevec, areis, ayoung, carnil, chrisw, dallan, gkotton, jen, jschluet, knoel, lhh, lpeer, markmc, mkenneth, mrezanin, mst, pbonzini, ppandit, rbryant, sclewis, security-response-team, slong, srevivo, tdecacqu
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
A NULL-pointer dereference flaw was found in the QEMU emulator built with TPR optimization for 32-bit Windows guests support. The flaw occurs when doing I/O-port write operations from the HMP interface. The 'current_cpu' value remains null because it is not called from the cpu_exec() loop, and dereferencing it results in the flaw. An attacker with access to the HMP interface could use this flaw to crash the QEMU instance (denial of service).
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-06-08 02:45:43 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1292766, 1292767    
Bug Blocks: 1283937    

Description Adam Mariš 2015-11-20 10:29:50 UTC
Qemu emulator built with the TPR optimization for 32-bit Windows guests support is vulnerable to a null pointer dereference flaw. It occurs while doing I/O port write operations via hmp interface. In that, 'current_cpu' remains null, which leads to the null pointer dereference.

A user/process could use this flaw to crash the Qemu instance, resulting in DoS issue.

Upstream patch:
---------------
  -> https://lists.gnu.org/archive/html/qemu-devel/2016-01/msg02812.html

Reference:
----------
  -> http://www.openwall.com/lists/oss-security/2016/01/16/6

Comment 2 Adam Mariš 2015-11-20 10:40:36 UTC
Acknowledgments:

Red Hat would like to thank Ling Liu of Qihoo 360 Inc. for reporting this issue.

Comment 3 Prasad J Pandit 2015-12-18 10:02:33 UTC
Created xen tracking bugs for this issue:

Affects: fedora-all [bug 1292767]

Comment 4 Prasad J Pandit 2015-12-18 10:02:46 UTC
Created qemu tracking bugs for this issue:

Affects: fedora-all [bug 1292766]

Comment 5 Prasad J Pandit 2015-12-18 10:14:31 UTC
Statement: 

This issue does not affect the versions of the kvm and xen packages as shipped with Red Hat Enterprise Linux 5.

This issue does not affect the versions of the qemu-kvm packages as shipped with Red Hat Enterprise Linux 6, and the Red Hat Enterprise Linux 6 based versions of qemu-kvm-rhev packages as shipped with Red Hat Enterprise Virtualization 3.

This issue affects the versions of the qemu-kvm packages as shipped with Red Hat Enterprise Linux 7.

This issue affects the Red Hat Enterprise Linux 7 based versions of the qemu-kvm-rhev packages as shipped with Red Hat Enterprise Virtualization 3.

This has been rated as having Low security impact and is not currently
planned to be addressed in future updates. For additional information, refer
to the Red Hat Enterprise Linux Life Cycle:
https://access.redhat.com/support/policy/updates/errata/.

Comment 6 Fedora Update System 2016-01-24 03:26:33 UTC
qemu-2.4.1-6.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2016-02-02 00:52:25 UTC
qemu-2.3.1-11.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2016-03-19 21:22:19 UTC
xen-4.5.2-9.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2016-03-20 02:26:09 UTC
xen-4.5.2-9.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.